diff --git a/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/BasicErrorControllerDirectMockMvcTests.java b/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/BasicErrorControllerDirectMockMvcTests.java
index 9556d1ef4ae..39872c1ac03 100644
--- a/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/BasicErrorControllerDirectMockMvcTests.java
+++ b/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/BasicErrorControllerDirectMockMvcTests.java
@@ -21,6 +21,7 @@
 import org.springframework.boot.SpringApplication;
 import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
 import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
+import org.springframework.boot.autoconfigure.jms.hornetq.HornetQAutoConfiguration;
 import org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration;
 import org.springframework.boot.autoconfigure.security.SecurityAutoConfiguration;
 import org.springframework.boot.builder.SpringApplicationBuilder;
@@ -86,14 +87,16 @@ public void errorPageAvailableWithMvcIncluded() throws Exception {
 
 	@Configuration
 	@EnableAutoConfiguration(exclude = { SecurityAutoConfiguration.class,
-			HibernateJpaAutoConfiguration.class, DataSourceAutoConfiguration.class })
+			HibernateJpaAutoConfiguration.class, DataSourceAutoConfiguration.class,
+			HornetQAutoConfiguration.class})
 	protected static class ParentConfiguration {
 
 	}
 
 	@Configuration
 	@EnableAutoConfiguration(exclude = { SecurityAutoConfiguration.class,
-			HibernateJpaAutoConfiguration.class, DataSourceAutoConfiguration.class })
+			HibernateJpaAutoConfiguration.class, DataSourceAutoConfiguration.class,
+			HornetQAutoConfiguration.class})
 	@EnableWebMvc
 	protected static class WebMvcIncludedConfiguration {
 		// For manual testing
@@ -105,7 +108,8 @@ public static void main(String[] args) {
 
 	@Configuration
 	@EnableAutoConfiguration(exclude = { SecurityAutoConfiguration.class,
-			HibernateJpaAutoConfiguration.class, DataSourceAutoConfiguration.class })
+			HibernateJpaAutoConfiguration.class, DataSourceAutoConfiguration.class,
+			HornetQAutoConfiguration.class})
 	protected static class VanillaConfiguration {
 		// For manual testingm
 		public static void main(String[] args) {
@@ -116,7 +120,8 @@ public static void main(String[] args) {
 
 	@Configuration
 	@EnableAutoConfiguration(exclude = { SecurityAutoConfiguration.class,
-			HibernateJpaAutoConfiguration.class, DataSourceAutoConfiguration.class })
+			HibernateJpaAutoConfiguration.class, DataSourceAutoConfiguration.class,
+			HornetQAutoConfiguration.class})
 	protected static class ChildConfiguration {
 		// For manual testing
 		public static void main(String[] args) {
